#!/bin/dash
LANG=C
export LANG

AC_state=/proc/acpi/ac_adapter/AC/state
PCC=/proc/acpi/pcc

if [ $1 != "pcc" -o $2 != "HKEY" ]
then
    echo "???"
    exit 0
fi

case $4 in
    00000081)
	if grep -q "on-line"  ${AC_state} ; then
	    echo -n $(($(cat ${PCC}/ac_brightness) - 1)) > ${PCC}/ac_brightness
	else
	    echo -n $(($(cat ${PCC}/dc_brightness) - 1)) > ${PCC}/dc_brightness
	fi
	;;
    00000082)
	if grep -q "on-line" ${AC_state} ; then
	    echo -n $(($(cat ${PCC}/ac_brightness) + 1)) > ${PCC}/ac_brightness
	else
	    echo -n $(($(cat ${PCC}/dc_brightness) + 1)) > ${PCC}/dc_brightness
	fi
	;;
    00000084)
	if [ $(cat ${PCC}/mute) = 0 ] ; then
	    echo -n 1 > ${PCC}/mute
	else
	    echo -n 0 > ${PCC}/mute
	fi
	;;
    00000085)
	/usr/bin/amixer -q sset PCM,0 1-
	;;
    00000086)
	/usr/bin/amixer -q sset PCM,0 1+
	;;
    0000000a)
	# You must re-write these lines for your machine!
	echo -n "Suspend to disk: "
	date
	/bin/sync
	echo -n disk > /sys/power/state
	####################################
	/sbin/hwclock --hctosys
	echo -n "Resume from disk: "
	date
	;;
    *)
	;;
esac

exit 0
# end
